Elements
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
GET | |
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
GET |
List all environments elements
Required API key scopes
element:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:environment_id /elementsExample response
Status 200
RESPONSE
Create environments elements
Required API key scopes
element:writeRequest parameters
- textstringnull
- tag_namestringnull
- attr_classarraynull
- hrefstringnull
- attr_idstringnull
- nth_childintegernull
- nth_of_typeintegernull
- attributes
- orderintegernull
Response
Example request
POST /api /environments /:environment_id /elementsExample response
Status 201
RESPONSE
Retrieve environments elements
Required API key scopes
element:readPath parameters
- idinteger
Response
Example request
GET /api /environments /:environment_id /elements /:idExample response
Status 200
RESPONSE
Update environments elements
Required API key scopes
element:writePath parameters
- idinteger
Request parameters
- textstringnull
- tag_namestringnull
- attr_classarraynull
- hrefstringnull
- attr_idstringnull
- nth_childintegernull
- nth_of_typeintegernull
- attributes
- orderintegernull
Response
Example request
PATCH /api /environments /:environment_id /elements /:idExample response
Status 200
RESPONSE
Delete environments elements
Required API key scopes
element:writePath parameters
- idinteger
Example request
DELETE /api /environments /:environment_id /elements /:idExample response
Status 204 No response body
Retrieve environments elements stats
The original version of this API always and only returned $autocapture elements If no include query parameter is sent this remains true. Now, you can pass a combination of include query parameters to get different types of elements Currently only $autocapture and $rageclick and $dead_click are supported
Required API key scopes
element:readExample request
GET /api /environments /:environment_id /elements /statsExample response
Status 200 No response body
Retrieve environments elements values
Required API key scopes
element:readExample request
GET /api /environments /:environment_id /elements /valuesExample response
Status 200 No response body
List all elements
Required API key scopes
element:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /elementsExample response
Status 200
RESPONSE
Create elements
Required API key scopes
element:writeRequest parameters
- textstringnull
- tag_namestringnull
- attr_classarraynull
- hrefstringnull
- attr_idstringnull
- nth_childintegernull
- nth_of_typeintegernull
- attributes
- orderintegernull
Response
Example request
POST /api /projects /:project_id /elementsExample response
Status 201
RESPONSE
Retrieve elements
Required API key scopes
element:readPath parameters
- idinteger
Response
Example request
GET /api /projects /:project_id /elements /:idExample response
Status 200
RESPONSE
Update elements
Required API key scopes
element:writePath parameters
- idinteger
Request parameters
- textstringnull
- tag_namestringnull
- attr_classarraynull
- hrefstringnull
- attr_idstringnull
- nth_childintegernull
- nth_of_typeintegernull
- attributes
- orderintegernull
Response
Example request
PATCH /api /projects /:project_id /elements /:idExample response
Status 200
RESPONSE
Delete elements
Required API key scopes
element:writePath parameters
- idinteger
Example request
DELETE /api /projects /:project_id /elements /:idExample response
Status 204 No response body
Retrieve elements stats
The original version of this API always and only returned $autocapture elements If no include query parameter is sent this remains true. Now, you can pass a combination of include query parameters to get different types of elements Currently only $autocapture and $rageclick and $dead_click are supported
Required API key scopes
element:readExample request
GET /api /projects /:project_id /elements /statsExample response
Status 200 No response body
Retrieve elements values
Required API key scopes
element:readExample request
GET /api /projects /:project_id /elements /values